org.apache.tools.ant

## Class Diagnostics

- java.lang.Object
- - org.apache.tools.ant.Diagnostics

    public final class Diagnostics
    extends java.lang.Object

A little diagnostic helper that output some information that may help in support. It should quickly give correct information about the jar existing in ant.home/lib and the jar versions...

Since:
  Ant 1.5

### Field Summary

Fields
`protected static java.lang.String` `ERROR_PROPERTY_ACCESS_BLOCKED` The error text when a security manager blocks access to a property.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `doReport(java.io.PrintStream out)` Print a report to the given stream.
`static void` `doReport(java.io.PrintStream out, int logLevel)` Print a report to the given stream.
`static boolean` `isOptionalAvailable()` Deprecated. Obsolete since Ant 1.8.2
`static java.io.File[]` `listLibraries()` return the list of jar files existing in ANT_HOME/lib and that must have been picked up by Ant script.
`static void` `main(java.lang.String[] args)` main entry point for command line
`static void` `validateVersion()` Deprecated. Obsolete since Ant 1.8.2

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ERROR_PROPERTY_ACCESS_BLOCKED

    protected static final java.lang.String ERROR_PROPERTY_ACCESS_BLOCKED

The error text when a security manager blocks access to a property. "Access to this property blocked by a security manager"

See Also:
  Constant Field Values

### Method Detail

#### isOptionalAvailable

    @Deprecated
    public static boolean isOptionalAvailable()

Deprecated. Obsolete since Ant 1.8.2
Doesn't do anything.

Returns:
  `true`

#### validateVersion

    @Deprecated
    public static void validateVersion()
                                            throws BuildException

Deprecated. Obsolete since Ant 1.8.2
Doesn't do anything.

Throws:
  `BuildException`

#### listLibraries

    public static java.io.File[] listLibraries()

return the list of jar files existing in ANT_HOME/lib and that must have been picked up by Ant script.

Returns:
  the list of jar files existing in ant.home/lib or `null` if an error occurs.

#### main

    public static void main(java.lang.String[] args)

main entry point for command line

Parameters:
  `args` - command line arguments.

#### doReport

    public static void doReport(java.io.PrintStream out)

Print a report to the given stream.

Parameters:
  `out` - the stream to print the report to.

#### doReport

    public static void doReport(java.io.PrintStream out,
                                int logLevel)

Print a report to the given stream.

Parameters:
  `out` - the stream to print the report to.
  `logLevel` - denotes the level of detail requested as one of Project's MSG_* constants.